Subject: bug#48543: Feature request: put ELN cache in $XDG_CACHE_HOME by default

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 13 Jul 2022 14:45:49 +0200

Eli Zaretskii <[email-masked]> writes:

>> > FWIW, I had a quick look through my .cache folder, and it seems that
>> > chromium and Firefox both put compiled code in that folder (JS
>> > bytecode and compiled Webassembly files).
>> 
>> Since the .eln files are cached data, it seems like the right place to
>> put them.  Of course the user would like all (non-stale) cached data to
>> persist.
>
> So we prefer to hear more complaints about Emacs being slow to start
> because the eln-cache was purged?  Don't forget that the XDG
> directories can disappear without a warning.

This doesn't seem to worry the Chromium etc people, so I don't think it
should worry us.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no